package sim;


public class BooleanChannel extends Channel
{

	public BooleanChannel(Entity e)
	{
		super(e);
	}
	
	public void put(boolean val)
	{		
		super.writeObject(Boolean.valueOf(val));
	}
	
	public boolean read()
	{
		return ((Boolean)super.readObject()).booleanValue();
	}
	
	public boolean getState()
	{
		return ((Boolean)super.getStateObject()).booleanValue();
	}
	
	public void initState(boolean val)
	{
		super.initStateObject(Boolean.valueOf(val));
	}

}
