package sim.test;

import sim.Channel;
import sim.Entity;
import sim.Sim;

public class Comperator extends Entity
{
	public Channel in_a = new Channel(this);
	public Channel in_b = new Channel(this);
	
	public Channel out_if_ina_bigger = new Channel(this);
	public Channel out_if_inb_bigger = new Channel(this);
	
	public Channel out = new Channel(this);
	
	protected void read()
	{
		if(getSim().isDebugOn())
			System.out.println("Comp out: " + out.readObject());
	}

	protected void tick()
	{
		Comparable a = (Comparable) in_a.readObject();
		Comparable b = (Comparable) in_b.readObject();
		
		if(a == null || b == null)
		{
			out.writeObject(out_if_ina_bigger.readObject());
			return;
		}
		
		int res = a.compareTo(b);
		if(res >= 0)
			out.writeObject(out_if_ina_bigger.readObject());
		else
			out.writeObject(out_if_inb_bigger.readObject());
	}
}
