package sim.test;

import sim.DoubleChannel;
import sim.Entity;
import sim.Sim;

public class Strut extends Entity
{
	public DoubleChannel accel_i = new DoubleChannel(this);
	public DoubleChannel accel_o = new DoubleChannel(this);
	
	public DoubleChannel f_acu_i = new DoubleChannel(this);
	public DoubleChannel f_acu_o = new DoubleChannel(this);

	public Strut(Sim sim)
	{
		super(sim);
	}

	protected void tick()
	{
		if(accel_i.isActive())
			accel_o.write(accel_i.read());
		else
			f_acu_o.write(f_acu_i.read());
	}
}
