package sim.test3;

import sim.Entity;

public class FullAdder extends Entity
{	
	public ISingle S;
	public ISingle C;

	public FullAdder(String id, ISingle a, ISingle b, ISingle c)
	{		
		XOR p = new XOR();
		p.connectSignal(a);
		p.connectSignal(b);
		
		XOR nS = new XOR(id + " sum");
		nS.connectSignal(p);
		nS.connectSignal(c);
		
		AND g = new AND();
		g.connectSignal(a);
		g.connectSignal(b);		
		
		AND tmp = new AND();
		tmp.connectSignal(p);
		tmp.connectSignal(c);
		
		OR nC = new OR(id + " carry");
		nC.connectSignal(g);
		nC.connectSignal(tmp);
		
		S = nS;
		C = nC;
	}
}
