package team.app;

import idb.dom.Node;

import java.awt.Image;
import java.util.HashMap;

import nextgen.utils.uFile;
import team.gui.ImageComp;

public class StdConfig implements IConfig
{
	private HashMap file_chach = new HashMap();	
	private HashMap image_chach = new HashMap();
	
	public Node getConfig(String file)
	{
		Node n = (Node) file_chach.get(file);
		if(n != null)
			return n;
		
		try
		{
			n = Node.parse(uFile.readString(file));
			file_chach.put(file, n);
			//System.out.println("loading: " + file);
			return n;
		} catch (Exception e)
		{
			e.printStackTrace();
			throw new RuntimeException(e);
		}
	}
	
	public Image loadImage(String file)
	{
		Image image = (Image) image_chach.get(file);
		if(image != null)
			return image;
		
		//System.out.println("loading: " + file);
		image = ImageComp.loadImage(file);
		image_chach.put(file, image);		
		return image;
	}
}
