package team.app.delay;

import java.util.List;

import team.app.StdConfig;
import team.app.system.loader.ScheduleData;
import team.app.system.loader.TableScheduleLoader;
import backup.div.Excel;

public class Test2
{
	public static void main(String[] args) throws Exception
	{
		List list = new TableScheduleLoader(new StdConfig()).loadRouteData("52.S", 0, 0);
		
		double[] acu = new double[list.size()];
		double[] length = new double[list.size()];
		double[] time = new double[list.size()];
		
		double pl = 0;
		double pt = 0;
		
		for(int i = 0; i < list.size(); i++)
		{
			ScheduleData d = (ScheduleData) list.get(i);
			acu[i] = d.acu_length;
			length[i] = d.leg_length + pl;
			time[i] = d.leg_time*60 + pt;
			
			//pl = length[i];
			//pt = time[i];
		}
		
		//Interpolate ilength_acu = new Interpolate(length,acu);
		//Interpolate itime_acu = new Interpolate(time,acu);
		
		//time = Filter.filter(Filter.createAvg(20), itime_acu.toArray(200));
		//length = Filter.filter(Filter.createAvg(20), ilength_acu.toArray(200));
		
		time = Filter.filter(Filter.createAvg(2), time);
		length = Filter.filter(Filter.createAvg(2), length);
		
		//time = itime_acu.getStep(200);
		//length = ilength_acu.getStep(200);
		
		Excel e = new Excel();
		e.newBook();
		
		int row = 0;
		for(int i = 0; i < time.length; i++)
		{
			e.write(0, i, new Double(i));
			e.write(1, i, new Double(time[i]));
			e.write(2, i, new Double(length[i]));
			
			e.write(2, i, new Double(length[i] / time[i]));
			
			row++;
		}
		
		e.quit();
	}
}
