package team.app.div;

import java.lang.reflect.Field;

public class PropSampler
{
	private Field field;
	private final String prop_name;
	private final Object o;
	
	public PropSampler(Object o, String prop_name)
	{
		this.o = o;
		this.prop_name = prop_name;
		try
		{
			field = o.getClass().getDeclaredField(prop_name);
			field.setAccessible(true);			
		} catch (Exception e)
		{
			e.printStackTrace();
			throw new RuntimeException(e);
		}		
	}
	
	public String getPropName()
	{
		return prop_name;
	}
	
	public Object getValue()
	{
		try
		{
			return field.get(o);
		} catch (Exception e)
		{
			e.printStackTrace();
			throw new RuntimeException(e);
		}
	}
	
	public String toString()
	{
		return getValue().toString();
	}
}
