package team.app.div;

public class Random
{
	private static java.util.Random r = new java.util.Random(1000);	
	public static boolean random = true;
	
	public static void setSeed(long seed)
	{
		r.setSeed(seed);
	}
	
	public static void setTimeSeed()
	{
		setSeed(System.currentTimeMillis());
	}
	
	public static double randn()
	{
		if(random)
			return r.nextGaussian();
		else
			return 0;
	}
	
	public static double randn(double mean, double std_dev)
	{
		return mean + std_dev * randn();
	}
	
	public static double randn2(double mean, double var)
	{
		//http://www.mathworks.com/access/helpdesk/help/techdoc/ref/randn.html
		return randn(mean,Math.sqrt(var));
	}
	
	public static void main(String[] args) throws Exception
	{
		//Random.random = false;
		System.out.println(randn(10,1/2.0));
		setSeed(System.currentTimeMillis());
		System.out.println(randn(10,1/2.0));
		
	}
}
