package team.app.div;

import team.app.delay.Plot;
import team.app.delay.Plot.Plotter;

public class SpeedTester
{
	public static void main(String[] args) throws Exception
	{
		Plot p = new Plot();
		Plotter ps = p.getPlotter("speed");
		Plotter pa = p.getPlotter("acl");
		
		double target_speed = 15;
		double max_acl = 2;
		double break_acl = 3; 
		
		double length_to_hld = 500;
		double speed = 0;
		
		double dt = 0.001;
		
		for(int i = 0; i < 100000; i++)
		{		
			double tmp = length_to_hld / 0.1;
			if(tmp > 0.000001 && tmp < target_speed)
				target_speed = tmp;
			
			double a = (target_speed - speed) / 5;
			if(a > max_acl)
				a = max_acl;
		
			speed = speed + a * dt;
			length_to_hld -= speed * dt;
			
			p.step(dt);
			ps.plot(speed);
			pa.plot(a);
		}
		
		p.setVisible(true);		
	}
}
