package team.app.div;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import team.gui.Coord;
import team.gui.WorldPainter;

public class WCoordPrinter
{	
	public WCoordPrinter(final String pre, final WorldPainter view)
	{
		view.addMouseListener(new MouseAdapter(){
			public void mouseClicked(MouseEvent e)
			{				
				Coord pos = view.getWorldCoordFromWindowCoord(e.getX(), e.getY());
				if(e.getButton() == 3)
					System.out.println(pre+"wcoord=\"" + Math.round(pos.x) + "," + Math.round(pos.y) + "\"");
			}
		});
	}
	
	public WCoordPrinter(final WorldPainter view)
	{
		this("",view);
	}
}
