package team.app.models;

import sim.Channel;
import sim.Entity;

public class Buffer extends Entity
{
	public Channel in = new Channel(this);
	public Channel out = new Channel(this);
	
	public Buffer()
	{
	}
	
	public Buffer(Channel c)
	{
		in.connect(c);
		out.initStateObject(in.getStateObject());
	}
	
	public void tick()
	{
		out.writeObject(in.readObject());
	}
}
