package team.app.models;

import sim.Channel;
import sim.Entity;

public class SignalDelay extends Entity
{
	public Channel in = new Channel(this);
	public Channel out = new Channel(this);
	
	public SignalDelay(Channel c)
	{
		in.connect(c);
		out.initStateObject(c.getStateObject());
	}
	
	public void write()
	{

	}
	
	public void tick()
	{
		out.writeObject(in.getStateObject());
	}
}
