package team.app.system;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;

public class Formatter
{
	private static DecimalFormat form;
	
	static 
	{
		DecimalFormatSymbols tmp = new DecimalFormatSymbols();
		tmp.setDecimalSeparator('.');		
		form = new DecimalFormat("0.0", tmp);
	}
	
	public static String format(double d)
	{
		return form.format(d);
	}
	
	public static String format(double d, int cap)
	{
		return cap(form.format(d),cap,true);
	}
	
	public static String cap(String s, int length, boolean align_right)
	{
		if(s.length() >= length)
			return s.substring(0, length);
		
		StringBuffer b = new StringBuffer(s);
		while(b.length() < length)
		{
			if(align_right)
				b.insert(0, ' ');
			else
				b.append(' ');
		}
		
		return b.toString();
	}
}
