package sim;

import team.gui.Coord;

public class CoordDoubleConv extends Entity
{
	public DoubleChannel io_x = new DoubleChannel(this);
	public DoubleChannel io_y = new DoubleChannel(this);
	
	public CoordChannel io_coord = new CoordChannel(this);
	
	protected void read()
	{
		if(getSim().isDebugOn())
			System.out.println("pos: " + io_coord.read());
	}
	
	protected void tick()
	{
		if(io_coord.isActive())
		{
			Coord c = io_coord.read();
			io_x.write(c.x);
			io_y.write(c.y);
		}
		else
			io_coord.write(new Coord(io_x.read(),io_y.read()));
	}

}
