package sim;

public class Integrator extends Entity
{
	public DoubleChannel in = new DoubleChannel(this);
	public DoubleChannel in_delta = new DoubleChannel(this);
	public DoubleChannel out = new DoubleChannel(this);

	public Integrator()
	{
		out.initState(0);
	}
	
	protected void read()
	{
		if(getSim().isDebugOn())
			System.out.println("Value: " + out.read());
	}

	protected void tick()
	{
		out.write(out.getState() + in.read()*in_delta.read());
	}

}
