package sim.test2;

import sim.DoubleChannel;
import sim.Entity;
import sim.Sim;

public class Adder extends Entity
{
	public DoubleChannel in = new DoubleChannel(this);
	public DoubleChannel out = new DoubleChannel(this);

	protected void tick()
	{
		Object[] o = in.readObjects();
		double res = 0;
		for(int i = 0; i < o.length; i++)
		{
			if(o[i] == null)
				continue;
			res += ((Double)o[i]).doubleValue();
		}
		out.writeObject(new Double(res));
	}
}
