package sim.test2;

import sim.Channel;
import sim.Entity;

public class IntegerChannel extends Channel
{

	public IntegerChannel(Entity e)
	{
		super(e);
	}
	
	public void put(int value)
	{
		super.writeObject(new Integer(value));
	}
	
	public int read()
	{
		Integer d = (Integer)super.readObject();
		if(d == null)
			return 0;
		
		return d.intValue();
	}
	
	public int getState()
	{
		return ((Integer)super.getStateObject()).intValue();
	}
	
	public void initState(int value)
	{
		super.initStateObject(new Integer(value));
	}

}
