package team.app.div;

import javax.swing.JLabel;

import sim.ISample;
import team.gui.InputGUI;
import team.sim.Event;
import team.sim.World;
import team.sim.models.Time;

public class TimeViewer implements ISample
{
	private ITime time;
	private JLabel label;
	
	private long next_update = 0;
	
	public TimeViewer(ITime time)
	{
		label = InputGUI.getBuilder().addLabel("Sim time:", "");
		this.time = time;
	}
	
	public void read()
	{
		if(System.currentTimeMillis() > next_update)
		{
			label.setText(Time.format(time.getSimTime()));
			next_update = System.currentTimeMillis()+200;
		}
		
	}

	public void onEvent(Event e)
	{		
		/*if(e.isMsg(World.EVENT_RESET))
		{
			World w = (World) e.getSource();
			time = Time.getTime(w);
			label.setText(Time.format(time.getSimTime()));
		}*/
		
		if(e.isMsg(World.EVENT_READ))
		{
			read();
		}
	}
}
