package team.app.wp;

import java.util.ArrayList;

import team.gui.Coord;

public class WayPoints
{
	private ArrayList wps = new ArrayList();
	
	public void addWP(double wx, double wy)
	{
		wps.add(new Coord(wx,wy));
	}
	
	public void addWP(Coord wp)
	{
		wps.add(wp);
	}
	
	public void addWPS(WayPoints wps1)
	{
		for(int i = 0; i < wps1.size(); i++)
			addWP(wps1.getWP(i));
	}
	
	
	public void clear()
	{
		wps.clear();
	}
	
	public Coord getWP(int index)
	{
		return (Coord) wps.get(index);
	}
	
	public int size()
	{
		return wps.size();
	}
	
	public boolean isEmpty()
	{
		return wps.isEmpty();
	}
	
	public WayPoints getReverse()
	{
		WayPoints rwp = new WayPoints();
		
		for(int i = size()-1; i >= 0; i--)
			rwp.addWP(getWP(i));
		
		return rwp;
	}
}
